Subject: Re: Re* --creation-factor=100 does not show code

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Jul 2022 12:54:55 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Thu, Jul 28 2022, Junio C Hamano wrote:
>
>> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
>>
>>> That algorithm section also says:
>>>
>>> 	The cost of an edge o--C is the size of C's diff, modified by a
>>> 	fudge factor that should be smaller than 100%.
>>>
>>> Which I find quite confusing to follow, isn't that "fudge factor" the
>>> <percent> (or <factor>) we're accepting with --creation-factor? Doesn't
>>> that also need to be adjusted?
>>>
>>> I still find this documentation quicke lacking, if the default is 60 and
>>> it's not 0..100 what is it then? Are values of 200 sensible in some
>>> cases, 1k? 10k?
>>
>> I think 90% of your responses are better answered not by me.  Feel
>> free to edit "to:" header field when that happens next time ;-)
>
> It's a comment on your patch: If you're updating the <percent> early in
> the doc, shouldn't the proposed update also update the wording later on
> to refer to "factor?"

Per-cent in "100%" is clearly a unit.  I do not know what to use to
replace the mention of "100%" with.  Rewriting it to "... should be
smaller than 100-factor" does not result in a sensible description.

Without other good questions like "if it is not 0..100 then in what
range does the default 60 fall?" answered, I do not think anybody
can come up with a useful replacement to that part.